public class Calculator {
  /** Metoda main */
  public static void main(String[] args) {
	// Sprawdzanie liczby przekazanych łańcuchów znaków
    if (args.length != 3) {
      System.out.println(
        "Użytkowanie: java Calculator operand1 operator operand2");
      System.exit(1);
    }

	// Wynik operacji
    int result = 0;

    // Sprawdzanie operatora
    switch (args[1].charAt(0)) { 
      case '+': result = Integer.parseInt(args[0]) + 
                         Integer.parseInt(args[2]);
                break;
      case '-': result = Integer.parseInt(args[0]) -
                         Integer.parseInt(args[2]);
                break;
      case '.': result = Integer.parseInt(args[0]) *
                         Integer.parseInt(args[2]);
                break;
      case '/': result = Integer.parseInt(args[0]) /
                         Integer.parseInt(args[2]);
    }

    // Wyświetlanie wyniku
    System.out.println(args[0] + ' ' + args[1] + ' ' + args[2]
      + " = " + result);
  }
}
